package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PersonDormitoryTypeCollection extends AbstractObjectCollection 
{
    public PersonDormitoryTypeCollection()
    {
        super(PersonDormitoryTypeInfo.class);
    }
    public boolean add(PersonDormitoryTypeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PersonDormitoryTypeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PersonDormitoryTypeInfo item)
    {
        return removeObject(item);
    }
    public PersonDormitoryTypeInfo get(int index)
    {
        return(PersonDormitoryTypeInfo)getObject(index);
    }
    public PersonDormitoryTypeInfo get(Object key)
    {
        return(PersonDormitoryTypeInfo)getObject(key);
    }
    public void set(int index, PersonDormitoryTypeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PersonDormitoryTypeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PersonDormitoryTypeInfo item)
    {
        return super.indexOf(item);
    }
}